Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::ColorAlgorithm Class Reference
Plugins

Interface for color plug-ins. More...

`#include <ColorAlgorithm.h>`

Inheritance diagram for tlp::ColorAlgorithm:
[legend]
Collaboration diagram for tlp::ColorAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~ColorAlgorithm ()

## Public Attributes

- ColorProperty * colorResult

## Protected Member Functions

- ColorAlgorithm (const AlgorithmContext &context)

## Friends

- class ColorProperty

## Detailed Description

Interface for color plug-ins.

## Constructor & Destructor Documentation

virtual tlp::ColorAlgorithm::~ColorAlgorithm | ( |  | ) | `[virtual]`

tlp::ColorAlgorithm::ColorAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class ColorProperty`[friend]`

## Member Data Documentation

ColorProperty* tlp::ColorAlgorithm::colorResult

Tulip Software by LaBRI Visualization Team 2001 - 2012